[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#1001736: typedload: autopkgtest regression: Library stubs not installed for "attr._make" (or incompatible with Python 3.7)



Source: typedload
Version: 2.14-1
X-Debbugs-CC: debian-ci@lists.debian.org
Severity: serious
User: debian-ci@lists.debian.org
Usertags: regression

Dear maintainer(s),

With a recent upload of typedload the autopkgtest of typedload fails in testing when that autopkgtest is run with the binary packages of typedload from unstable. It passes when run with only packages from testing. In tabular form:

                       pass            fail
typedload              from testing    2.14-1
all others             from testing    from testing

I copied some of the output at the bottom of this report. Are you really trying to test with python3.7?

Currently this regression is blocking the migration to testing [1]. Can you please investigate the situation and fix it?

More information about this bug and the reason for filing it can be found on
https://wiki.debian.org/ContinuousIntegration/RegressionEmailInformation

Paul

[1] https://qa.debian.org/excuses.php?package=typedload

https://ci.debian.net/data/autopkgtest/testing/amd64/t/typedload/17556987/log.gz

mypy --python-version=3.7 --config-file mypy.conf typedload
typedload/dataloader.py:683: error: Library stubs not installed for "attr._make" (or incompatible with Python 3.7) typedload/dataloader.py:683: note: Hint: "python3 -m pip install types-attrs" typedload/dataloader.py:683: note: (or run "mypy --install-types" to install all missing stub packages) typedload/dataloader.py:683: note: See https://mypy.readthedocs.io/en/stable/running_mypy.html#missing-imports
Found 1 error in 1 file (checked 6 source files)
make: *** [Makefile:12: mypy] Error 1
autopkgtest [07:11:50]: test command1

Attachment: OpenPGP_signature
Description: OpenPGP digital signature


Reply to: